use serde::Deserialize;
use validator::Validate;

#[derive(Deserialize, Validate)]
pub struct PageParams {
    #[validate(required(message = "页码不能为空"), range(min = 1, message = "页码不能小于1"))]
    pub page: Option<i64>,
    #[serde(rename = "pageSize")]
    #[validate(required(message = "每页数量不能为空"), range(min = 1, message = "每页数量不能小于1"))]
    pub page_size: Option<i64>,
}