use std::collections::HashMap;

use lazy_static::lazy_static;

use crate::message_ids::{
    ACCOUNT_DISABLED, ACCOUNT_NO_PERMISSION, HELLO, INCORRECT_USERNAME_OR_PASSWORD, INVALID_TOKEN,
};

pub const LANGUAGE_ID: &str = "en-US";

lazy_static! {
    pub static ref MESSAGE: HashMap<&'static str, &'static str> = {
        let mut map = HashMap::new();
        map.insert(HELLO, "hello {}");
        map.insert(ACCOUNT_DISABLED, "account is disabled");
        map.insert(ACCOUNT_NO_PERMISSION, "account has no permission");
        map.insert(
            INCORRECT_USERNAME_OR_PASSWORD,
            "incorrect username or password",
        );
        map.insert(INVALID_TOKEN, "invalid token");
        map
    };
}
