use std::collections::HashMap;

use lazy_static::lazy_static;

use crate::message_ids::{
    ACCOUNT_DISABLED, ACCOUNT_NO_PERMISSION, HELLO, INCORRECT_USERNAME_OR_PASSWORD, INVALID_TOKEN,
};

pub const LANGUAGE_ID: &str = "zh_CN";

lazy_static! {
    pub static ref MESSAGE: HashMap<&'static str, &'static str> = {
        let mut map = HashMap::new();
        map.insert(HELLO, "你好 {}");
        map.insert(ACCOUNT_DISABLED, "账户已禁用");
        map.insert(ACCOUNT_NO_PERMISSION, "账户无权限");
        map.insert(INCORRECT_USERNAME_OR_PASSWORD, "用户名或密码错误");
        map.insert(INVALID_TOKEN, "无效令牌");
        map
    };
}
